### File

`packages/eui/packages/components-next/src/lib/components/eui-menu/eui-menu-item.component.ts`

### Extends

`BaseDirective`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-menu-item`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-menu-item.component.html`

### Index

###### Properties

- collapseMenuLabel
- expandMenuLabel
- externalLinkLabel
- queryParams

###### Methods

- Public onActionIconClick
- Public onClick
- Public onExpandToggle

###### Inputs

- hasIcon
- hasTooltip
- isCollapsed
- item

###### Outputs

- actionIconClicked
- clicked
- expandToggled

###### HostBindings

- class

###### HostListeners

- click

### Constructor

`constructor(route: ActivatedRoute)`

Parameters :

Name | Type | Optional
route | `ActivatedRoute` | No

### Inputs

hasIcon
Default value : `false`

hasTooltip
Default value : `false`

isCollapsed
Default value : `false`

item
Type : `EuiMenuItem`

### Outputs

actionIconClicked
Type : `EventEmitter`

clicked
Type : `EventEmitter`

expandToggled
Type : `EventEmitter`

### HostBindings

class

### HostListeners

click
Arguments : `'$event'`
`click(event: MouseEvent)`

### Methods

Public onActionIconClick
`onActionIconClick(event: Event)`

Parameters :

Name | Type | Optional
event | `Event` | No

Returns : `void`

Public onClick
`onClick(event: any)`

Parameters :

Name | Type | Optional
event | `any` | No

Returns : `void`

Public onExpandToggle
`onExpandToggle(event: any)`

Parameters :

Name | Type | Optional
event | `any` | No

Returns : `void`

### Properties

collapseMenuLabel
Type : `string`
Default value : `'Collapse'`

expandMenuLabel
Type : `string`
Default value : `'Expand'`

externalLinkLabel
Type : `string`
Default value : `'external link'`

queryParams
Type : `object`
Default value : `{}`

# result-matching ""

# No results matching ""